%global svnrev 1981
# From http://josm.openstreetmap.de/changeset/%{svnrev} data
%global svndate "2009-08-18T15:21:37Z"

Name:           josm
# FIXME:  they don't really have a version AFAICT but the SUSE RPM uses 1.5
#         ... should we add an epoch?
Version:        0
# FIXME:  the SUSE RPM has SVN # as release ... should we try to be > than it?
Release:        0.1.%{svnrev}%{?dist}
Summary:        Java OpenStreetMap Editor

Group:          Applications/Editors
License:        GPLv2+
URL:            http://josm.openstreetmap.de/
# svn export -r %{svnrev} http://josm.openstreetmap.de/svn/trunk \
#   %{name}-%{svnrev}
# tar cjf %{name}-fetched-%{svnrev}.tar.bz2 %{name}-%{svnrev}
Source0:        %{name}-fetched-%{svnrev}.tar.bz2
Source1:        %{name}.sh
# FIXME:  .osm association doesn't appear to work
# FIXME:  this came from the SUSE package - is it okay to use it?
Source2:        %{name}.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  gettext-commons >= 0.9.6
BuildRequires:  metadata-extractor
#BuildRequires:  jfcunit
Requires:       java >= 1:1.6.0
# FIXME:  these are currently compiled into the JOSM JAR.  We should fix
# this and symlink to them.
#Requires:  gettext-commons >= 0.9.6
#Requires:  metadata-extractor

%description
An editor for OpenStreetMap (http://www.openstreetmap.org/).

%prep
%setup -q -n %{name}-%{svnrev}

# $ find -name \*.jar
# ./lib/metadata-extractor-2.3.1-nosun.jar <-- done
# ./lib/gettext-commons-0.9.2.jar <-- done
# ./lib/jfcunit.jar
# ./lib/josm-translation.jar

# FIXME:  figure out how to get translations built (see above) and distributed
# FIXME:  the welcome page says to install these plugins:
#         slippy_map_chooser, wmsplugin, validator
#         ... we should build and ship them if we can

rm lib/metadata-extractor-2.3.1-nosun.jar
ln -s %{_javadir}/metadata-extractor.jar lib/metadata-extractor-2.3.1-nosun.jar
rm lib/gettext-commons-*.jar
ln -s %{_javadir}/gettext-commons-0.9.6.jar lib

# Keep build.xml happy so we don't have to patch
sed -i "s/executable=\"svn\"/executable=\"NOTsvn\"/" build.xml
cat << _EOF_ > REVISION
<?xml version="1.0"?>
<info>
<entry kind="dir" path="." revision="%{svnrev}">
<url>http://josm.openstreetmap.de/svn/trunk</url>
<commit revision="%{svnrev}">
<date>%{svndate}</date>
</commit>
</entry>
</info>

_EOF_

%build
ant

%install
rm -rf %{buildroot}
install -d 755 %{buildroot}%{_javadir}
install -m 644 dist/josm-custom.jar %{buildroot}%{_javadir}/%{name}.jar
mkdir -p %{buildroot}%{_bindir}
install %SOURCE1 %{buildroot}%{_bindir}/%{name}
chmod +x %{buildroot}%{_bindir}/%{name}
install -d 755 %{buildroot}%{_datadir}/applications
install -m 644 %SOURCE2 %{buildroot}%{_datadir}/applications
install -d 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 images/logo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}/%{name}.jar
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Sep 03 2009 Andrew Overholt <overholt@redhat.com> 0-0.1.1981
- Revision 1981

* Thu Jan 29 2009 Andrew Overholt <overholt@redhat.com> 0-0.1.1344
- Initial Fedora package
- .desktop file, startup script, icon came from SUSE package
